  PROGRAM
! INCLUDE('Windows.inc'),ONCE - FYI APP: would go in Global Embed "Before Global Includes"

  MAP
!FYI APP: You add a Procedure for OutputDebugStringNotReady with the (),LONG prototype
      OutputDebugStringNotReady(),LONG 

!FYI APP: In Global Embed "Inside the Global Map" add the below MODULE() ... END
      MODULE('Windows')
         ODNR_OpenEvent(LONG InDesiredAccess, BOOL InInheritHandle,*CSTRING InName),LONG,RAW,PASCAL,NAME('OpenEventA'),DLL(1)
         ODNR_GetLastError(),LONG,PASCAL,NAME('GetLastError'),DLL(1)            !In Windows.inc so prefix ODNR_
         ODNR_CloseHandle(LONG Hnd),BOOL,PROC,PASCAL,NAME('CloseHandle'),DLL(1) !In Windows.inc so prefix ODNR_
      END !Module Windows

  END !Map

  CODE  !Simple test of calling
  MESSAGE('An OutputDebugString View is ['& |
         CHOOSE( OutputDebugStringNotReady()=0, |
                 'RUNNING', 'NOT Running') &']','Test OutputDebugStringNotReady')

!------------------------------------------------------------------------------------------------------------
!FYI APP: - You add a Source Procedure with the below code for OutputDebugStringNotReady with the (),LONG prototype
OutputDebugStringNotReady  PROCEDURE()!,LONG 
!Ported from VB6 Code written by *Carl Barnes*
!PSS: OutputDebugString is expensive requiring a switch to kernel mode to access event, mutex and MMF. See
!     http://www.unixwiz.net/techtips/outputdebugstring.html

hObject            LONG,AUTO
SYNCHRONIZE        LONG(100000h) ! 10 0000
szEventName        CSTRING('DBWIN_BUFFER_READY') !case sensitive
RetError           LONG,AUTO
   CODE 	                                                        
   hObject = ODNR_OpenEvent(SYNCHRONIZE, FALSE, szEventName)    
   IF hObject <> 0
      ODNR_CloseHandle(hObject)
      RetError = 0                !We are ready
   ELSE
      RetError = ODNR_GetLastError()    ! probably 2 = File Not Found,
                                        !  i.e. the Event name does not exist because there is no debugger
      IF RetError = 0 
         RetError = -1            ! no handle and no error, then say -1
      END          
   END
   RETURN RetError
